Bullet Collision Detection & Physics Library: Bullet::btGeneric6DofConstraintDoubleData2 Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btGeneric6DofConstraintDoubleData2 Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btGeneric6DofConstraintDoubleData2:
[legend]

## Public Attributes
btTypedConstraintDoubleData | m_typeConstraintData
btTransformDoubleData | m_rbAFrame
btTransformDoubleData | m_rbBFrame
btVector3DoubleData | m_linearUpperLimit
btVector3DoubleData | m_linearLowerLimit
btVector3DoubleData | m_angularUpperLimit
btVector3DoubleData | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

Definition at line 1054 of file bullet.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

btVector3DoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_angularLowerLimit

Definition at line 1063 of file bullet.h.

## ◆ m_angularUpperLimit

btVector3DoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_angularUpperLimit

Definition at line 1062 of file bullet.h.

## ◆ m_linearLowerLimit

btVector3DoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_linearLowerLimit

Definition at line 1061 of file bullet.h.

## ◆ m_linearUpperLimit

btVector3DoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_linearUpperLimit

Definition at line 1060 of file bullet.h.

## ◆ m_rbAFrame

btTransformDoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_rbAFrame

Definition at line 1058 of file bullet.h.

## ◆ m_rbBFrame

btTransformDoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_rbBFrame

Definition at line 1059 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintDoubleData Bullet::btGeneric6DofConstraintDoubleData2::m_typeConstraintData

Definition at line 1057 of file bullet.h.

## ◆ m_useLinearReferenceFrameA

int Bullet::btGeneric6DofConstraintDoubleData2::m_useLinearReferenceFrameA

Definition at line 1064 of file bullet.h.

## ◆ m_useOffsetForConstraintFrame

int Bullet::btGeneric6DofConstraintDoubleData2::m_useOffsetForConstraintFrame

Definition at line 1065 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h